(* $Id: glDraw.ml,v 1.6 2007/04/13 01:17:50 garrigue Exp $ *)

open Gl

external color :
    red:float -> green:float -> blue:float -> alpha:float -> unit
    = "ml_glColor4f"
let color ?(alpha=1.) (red, green, blue : rgb) =
  color ~red ~green ~blue ~alpha

external cull_face : face -> unit = "ml_glCullFace"
external front_face : [`cw|`ccw] -> unit = "ml_glFrontFace"

external line_width : float -> unit = "ml_glLineWidth"
external point_size : float -> unit = "ml_glPointSize"

external polygon_offset : factor:float -> units:float -> unit
    = "ml_glPolygonOffset"

external shade_model : [`flat|`smooth] -> unit = "ml_glShadeModel"

type shape =
    [ `points | `lines | `triangles | `line_strip
    | `line_loop | `triangle_strip | `triangle_fan ]

external normal : x:float -> y:float -> z:float -> unit
    = "ml_glNormal3f"
let normal ?(x=0.) ?(y=0.) ?(z=0.) () = normal ~x ~y ~z
and normal3 (x,y,z) = normal ~x ~y ~z

external viewport : x:int -> y:int -> w:int -> h:int -> unit
    = "ml_glViewport"
